<?php

// 銀行口座とか
class Account {
  public $owner='';
  private $balance=0;

  // 初期預金額を設定するコンストラクタ
  // Java系のオーバーロードはできない模様
  function __construct($o, $v){
    $this->owner=$o;
    $this->balance=$v;
  }

  // 預金
  public function deposit($v){
    if($v<0) return;
    $this->balance += $v;
  }

  // 引き出し
  public function withdraw($v){
    if($v<0 || $v>$this->balance) return;
    $this->balance -= $v;
  }

  public function getOwner(){
    return $this->owner;
  }

  public function getBalance(){
    return $this->balance;
  }

  public static function getBankName(){
    return 'Jindai Bank';
  }

  private function myPrivate(){
    return 0; // プライベートの動作テスト用
  }
}
?>
