<!DOCTYPE html>
<html>
<head>
 <meta charset="utf-8">
 <title>classDef.php</title>
 <!-- 一般的なクラス定義 -->
</head>

<body>

<?php

// 銀行口座とか
class Account {
  private $owner='';
  private $balance=0;


  // 初期預金額を設定するコンストラクタ
  // Java系のオーバーロードはできない模様
  function __construct($o, $v){
    $this->owner=$o;
    $this->balance=$v;
  }

  // 預金
  public function deposit($v){
    if($v<0) return;
    $this->balance += $v;
  }

  // 引き出し
  public function withdraw($v){
    if($v<0 || $v>$this->balance) return;
    $this->balance -= $v;
  }

  public function getOwner(){
    return $this->owner;
  }

  public function getBalance(){
    return $this->balance;
  }

  public static function getBankName(){
    return 'Jindai Bank';
  }
}

$kaiya = new Account('H. Kaiya', 20);
$kuwabara = new Account('T. Kuwabara', 10);

$kaiya->deposit(30);
$kuwabara->deposit(110);
$kaiya->withdraw(12);

?>

<table border>
<tr>
 <td><?= Account::getBankName() ?></td>
 <td><?= $kaiya->getOwner()?></td>
 <td><?= $kuwabara->getOwner()?></td>
</tr>
 <td>Balance</td>
 <td><?= $kaiya->getBalance()?></td>
 <td><?= $kuwabara->getBalance()?></td>
</tr>
</table>

</body>
</html>
