<!DOCTYPE html>
<html>
<head>
 <meta charset="utf-8">
 <title>classItrspct.php</title>
 <!-- Introspection関連のサンプル -->
</head>

<body>

<?php
require_once "classAccount.php";

// 適当なテスト用クラス
class XX extends Account{
  private $xx=1;
}

$className="Account";

if(class_exists($className)){
  // メソッドを取得して列挙 privateは出ない模様
  $ms=get_class_methods($className);
  foreach($ms as $v){
    echo $v, ', ';
  }
  echo '<br>';
  // 属性を取得して列挙 privateは出ない模様
  $ps=get_class_vars($className);
    foreach(array_keys($ps) as $v){
    echo $v, ', ';
  }
  echo '<br>';
  // スーパークラスのチェック．デフォのスーパークラス Object的なものは無い模様．
  echo get_parent_class('XX');
  echo '<hr>';

  $a = new Account('Sato', 22);
  // echo $a->getBalance();

  // どのクラスのインスタンスかを確認とか
  if(is_object($a)){
    echo 'This is an instance of '.get_class($a);
  }else{
    echo 'This is not an object. ';
  }

}else{
  echo 'No such a class: '.$className;
}

?>

</body>
</html>
